Index: /trunk/phpgwapi/inc/class.listbox.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.listbox.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.listbox.inc.php	(revision 7673)
@@ -72,5 +72,6 @@
 				$this->p->parse('row','portal_listbox_header',True);
 
-				for ($x = 0; $x < count($this->data); ++$x)
+                $data_count = count($this->data);
+				for ($x = 0; $x < $data_count; ++$x)
 				{
 					$var = Array(
Index: /trunk/phpgwapi/inc/class.resultbox.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.resultbox.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.resultbox.inc.php	(revision 7673)
@@ -54,5 +54,6 @@
 			echo '<table border="0" cellpadding="0" cellspacing="0" width="'.$this->getvar('innerwidth')
 				. '" bgcolor="' . $this->getvar('innerbgcolor') . '">';
-			for ($x = 0; $x < count($this->data); ++$x)
+            $data_count = count($this->data);
+			for ($x = 0; $x < $data_count; ++$x)
 			{
 				echo '<tr>';
Index: /trunk/phpgwapi/inc/class.gdgraph.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.gdgraph.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.gdgraph.inc.php	(revision 7673)
@@ -274,5 +274,6 @@
 			$linespace = ($this->graph_height - $this->margin_top - $this->margin_bottom) / ($this->num_lines_y - 1);
 			$space = 1;
-			for ($i = 0;$i<count($this->data);++$i)
+            $data_count = count($this->data);
+			for ($i = 0;$i<$data_count;++$i)
 			{
 				$y = $this->graph_height - $this->margin_bottom - ($space * $linespace) - 7;
Index: /trunk/phpgwapi/inc/class.contacts_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 7673)
@@ -328,5 +328,6 @@
 				{
 					$i=0;
-					for($i=0;$i<count($filterarray);++$i)
+                    $filterarray_count = count($filterarray);
+					for($i=0;$i<$filterarray_count;++$i)
 					{
 						list($name,$value) = preg_split('/=/',$filterarray[$i]);
Index: /trunk/phpgwapi/inc/class.log.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.log.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.log.inc.php	(revision 7673)
@@ -92,5 +92,6 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); ++$i)
+            $errorstack_count = count($errorstack);
+			for ($i = 0; $i < $errorstack_count; ++$i)
 			{
 				$err = $errorstack[$i];
@@ -115,5 +116,6 @@
 			$new = array();
 			reset($this->errorstack);
-			for ($i = 0; $i < count($this->errorstack); ++$i)
+            $errorstack_count = count($this->errorstack);
+			for ($i = 0; $i < $errorstack_count; ++$i)
 			{
 				$err = $this->errorstack[$i];
@@ -141,5 +143,6 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); ++$i)
+            $errorstack_count = count($errorstack);
+			for ($i = 0; $i < $errorstack_count; ++$i)
 			{
 				$err = $errorstack[$i];
Index: /trunk/phpgwapi/inc/class.errorlog.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.errorlog.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.errorlog.inc.php	(revision 7673)
@@ -124,5 +124,6 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); ++$i)
+            $errorstack_count = count($errorstack);
+			for ($i = 0; $i < $errorstack_count; ++$i)
 			{
 				$err = $errorstack[$i];
@@ -153,5 +154,6 @@
 			$new = array();
 			reset($this->errorstack);
-			for ($i = 0; $i < count($this->errorstack); ++$i)
+            $errorstack_count = count($this->errorstack);
+			for ($i = 0; $i < $errorstack_count; ++$i)
 			{
 				$err = $this->errorstack[$i];
@@ -182,5 +184,6 @@
 
 			$errorstack = $this->errorstack;
-			for ($i = 0; $i < count($errorstack); ++$i)
+            $errorstack_count = count($errorstack);
+			for ($i = 0; $i < $errorstack_count; ++$i)
 			{
 				$err = $errorstack[$i];
Index: /trunk/phpgwapi/inc/class.vcard.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.vcard.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.vcard.inc.php	(revision 7673)
@@ -624,5 +624,6 @@
 		// Takes an array of contacts class fields/values, turns it into a vcard string:
 		//
-		// for($i=0;$i<count($buffer);++$i)
+        // $buffer_count = count($buffer);
+		// for($i=0;$i<$buffer_count;++$i)
 		// {
 		//     $vcards .= $this->vcard->out($buffer[$i]);
Index: /trunk/phpgwapi/inc/class.setup.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.setup.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.setup.inc.php	(revision 7673)
@@ -302,5 +302,6 @@
 				}
 				$values = explode('.',$value);
-				for($i = 0; $i < count($values); ++$i)
+                $values_count = count($values);
+				for($i = 0; $i < $values_count; ++$i)
 				{
 					if ((int) $values[$i] != (int) $remotes[$i])
@@ -710,5 +711,6 @@
 			$less = 0;
 
-			for($i=0;$i<count($testa);++$i)
+            $testa_count = count($testa);
+			for($i=0;$i<$testa_count;++$i)
 			{
 				if($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is less than ' . (int)$testb[$i] . ' ...'; }
@@ -792,5 +794,6 @@
 			$less = 0;
 
-			for($i=0;$i<count($testa);++$i)
+            $testa_count = count($testa);
+			for($i=0;$i<$testa_count;++$i)
 			{
 				if($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is more than ' . (int)$testb[$i] . ' ...'; }
Index: /trunk/phpgwapi/inc/adodb/session/adodb-session.php
===================================================================
--- /trunk/phpgwapi/inc/adodb/session/adodb-session.php	(revision 6057)
+++ /trunk/phpgwapi/inc/adodb/session/adodb-session.php	(revision 7673)
@@ -48,5 +48,6 @@
 	$variables = array( );
 	$a = preg_split( '/(\w+)\|/', $serialized_string, -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE );
-	for( $i = 0; $i < count( $a ); $i = $i+2 ) {
+    $a_count = count( $a );
+	for( $i = 0; $i < $a_count; $i = $i+2 ) {
 		$variables[$a[$i]] = unserialize( $a[$i+1] );
 	}
Index: /trunk/phpgwapi/inc/adodb/session/adodb-session2.php
===================================================================
--- /trunk/phpgwapi/inc/adodb/session/adodb-session2.php	(revision 6057)
+++ /trunk/phpgwapi/inc/adodb/session/adodb-session2.php	(revision 7673)
@@ -78,5 +78,6 @@
 	$variables = array( );
 	$a = preg_split( '/(\w+)\|/', $serialized_string, -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE );
-	for( $i = 0; $i < count( $a ); $i = $i+2 ) {
+    $a_count = count( $a );
+	for( $i = 0; $i < $a_count; $i = $i+2 ) {
 		$variables[$a[$i]] = unserialize( $a[$i+1] );
 	}
Index: /trunk/phpgwapi/inc/class.sbox.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.sbox.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.sbox.inc.php	(revision 7673)
@@ -139,5 +139,6 @@
 		{
 			$out = '';
-			for($i=0;$i<count($this->weekdays);++$i)
+            $weekdays_count = count($this->weekdays);
+			for($i=0;$i<$weekdays_count;++$i)
 			{
 				$out .= '<option value="'.$i.'"'.($selected!=$i?'':' selected').'>'.($this->weekdays[$i]!=''?lang($this->weekdays[$i]):'').'</option>'."\n";
@@ -148,5 +149,6 @@
 		function nr2weekday($selected = 0)
 		{
-			for($i=0;$i<count($this->weekdays);++$i)
+            $weekdays_count = count($this->weekdays);
+			for($i=0;$i<$weekdays_count;++$i)
 			{
 				if ($selected > 0 && $selected == $i)
@@ -251,5 +253,6 @@
 			$out = '<select name="' . $name . '">';
 
-			for($i=1;$i<count($arr);++$i)
+            $arr_count = count($arr);
+			for($i=1;$i<$arr_count;++$i)
 			{
 				$out .= "<option value=\"";
@@ -304,5 +307,6 @@
 				if(@is_array($selected))
 				{
-					for($i=0;$i<count($selected);++$i)
+                    $selected_count = count($selected);
+					for($i=0;$i<$selected_count;++$i)
 					{
 						if ($group['account_id'] == $selected[$i])
Index: /trunk/phpgwapi/inc/common_functions.inc.php
===================================================================
--- /trunk/phpgwapi/inc/common_functions.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/common_functions.inc.php	(revision 7673)
@@ -1083,5 +1083,6 @@
 		$less = 0;
 
-		for ($i=0;$i<count($testa);++$i)
+        $testa_count = count($testa);
+		for ($i=0;$i<$testa_count;++$i)
 		{
 			if ($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is less than ' . (int)$testb[$i] . ' ...'; }
@@ -1163,5 +1164,6 @@
 		$less = 0;
 
-		for ($i=0;$i<count($testa);++$i)
+        $testa_count = count($testa);
+		for ($i=0;$i<$testa_count;++$i)
 		{
 			if ($DEBUG) { echo'<br>Checking if '. (int)$testa[$i] . ' is more than ' . (int)$testb[$i] . ' ...'; }
Index: /trunk/phpgwapi/inc/class.accounts_contacts.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.accounts_contacts.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.accounts_contacts.inc.php	(revision 7673)
@@ -172,5 +172,6 @@
 
 			/* get user information for each user/group */
-			for($i=0;$i<count($allValues);++$i)
+            $allValues_count = count($allValues);
+			for($i=0;$i<$allValues_count;++$i)
 			{
 				$accounts[] = Array(
Index: /trunk/phpgwapi/inc/class.http.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.http.inc.php	(revision 5912)
+++ /trunk/phpgwapi/inc/class.http.inc.php	(revision 7673)
@@ -265,5 +265,6 @@
 						return('5 it was not specified a valid POST method values array');
 					}
-					for($request_body = '',Reset($values),$value=0;$value<count($values);Next($values),$value++)
+                    $values_count = count($values);
+					for($request_body = '',Reset($values),$value=0;$value<$values_count;Next($values),$value++)
 					{
 						if($value>0)
@@ -296,5 +297,6 @@
 					if(@is_array($header_value))
 					{
-						for(Reset($header_value),$value=0;$value<count($header_value);Next($header_value),$value++)
+                        $header_value_count = count($header_value);
+						for(Reset($header_value),$value=0;$value<$header_value_count;Next($header_value),$value++)
 						{
 							if(!$success = $this->PutLine("$header_name: ".$header_value[Key($header_value)]))
@@ -327,5 +329,6 @@
 					{
 						$now = gmdate('Y-m-d H-i-s');
-						for($cookies = array(),$domain=0,Reset($this->cookies[0]);$domain<count($this->cookies[0]);Next($this->cookies[0]),$domain++)
+                        $cookies_count = count($this->cookies[0]);
+						for($cookies = array(),$domain=0,Reset($this->cookies[0]);$domain<$cookies_count;Next($this->cookies[0]),$domain++)
 						{
 							$domain_pattern = Key($this->cookies[0]);
@@ -335,10 +338,12 @@
 								($match == 0 || $domain_pattern[0] == '.' || $this->request_host[$match-1] == '.'))
 							{
-								for(Reset($this->cookies[0][$domain_pattern]),$path_part=0;$path_part<count($this->cookies[0][$domain_pattern]);Next($this->cookies[0][$domain_pattern]),$path_part++)
+                                $cookies_count = count($this->cookies[0][$domain_pattern]);
+								for(Reset($this->cookies[0][$domain_pattern]),$path_part=0;$path_part<$cookies_count;Next($this->cookies[0][$domain_pattern]),$path_part++)
 								{
 									$path = Key($this->cookies[0][$domain_pattern]);
 									if(strlen($this->request_uri) >= strlen($path) && substr($this->request_uri,0,strlen($path)) == $path)
 									{
-										for(Reset($this->cookies[0][$domain_pattern][$path]),$cookie = 0;$cookie<count($this->cookies[0][$domain_pattern][$path]);Next($this->cookies[0][$domain_pattern][$path]),$cookie++)
+                                        $cookies_count = count($this->cookies[0][$domain_pattern][$path]);
+										for(Reset($this->cookies[0][$domain_pattern][$path]),$cookie = 0;$cookie<$cookies_count;Next($this->cookies[0][$domain_pattern][$path]),$cookie++)
 										{
 											$cookie_name = Key($this->cookies[0][$domain_pattern][$path]);
@@ -353,5 +358,6 @@
 							}
 						}
-						for(Reset($cookies),$cookie=0;$cookie<count($cookies);Next($cookies),$cookie++)
+                        $cookies_count = count($cookies);
+						for(Reset($cookies),$cookie=0;$cookie<$cookies_count;Next($cookies),$cookie++)
 						{
 							$cookie_name = Key($cookies);
@@ -525,11 +531,14 @@
 			{
 				$secure = Key($this->cookies);
-				for($domain = 0,Reset($this->cookies[$secure]);$domain<count($this->cookies[$secure]);Next($this->cookies[$secure]),$domain++)
+                $cookies_count = count($this->cookies[$secure]);
+				for($domain = 0,Reset($this->cookies[$secure]);$domain<$cookies_count;Next($this->cookies[$secure]),$domain++)
 				{
 					$domain_pattern = Key($this->cookies[$secure]);
-					for(Reset($this->cookies[$secure][$domain_pattern]),$path_part=0;$path_part<count($this->cookies[$secure][$domain_pattern]);Next($this->cookies[$secure][$domain_pattern]),$path_part++)
+                    $cookies_count = count($this->cookies[$secure][$domain_pattern]);
+					for(Reset($this->cookies[$secure][$domain_pattern]),$path_part=0;$path_part<$cookies_count;Next($this->cookies[$secure][$domain_pattern]),$path_part++)
 					{
 						$path=Key($this->cookies[$secure][$domain_pattern]);
-						for(Reset($this->cookies[$secure][$domain_pattern][$path]),$cookie=0;$cookie<count($this->cookies[$secure][$domain_pattern][$path]);Next($this->cookies[$secure][$domain_pattern][$path]),$cookie++)
+                        $cookies_count = count($this->cookies[$secure][$domain_pattern][$path]);
+						for(Reset($this->cookies[$secure][$domain_pattern][$path]),$cookie=0;$cookie<$cookies_count;Next($this->cookies[$secure][$domain_pattern][$path]),$cookie++)
 						{
 							$cookie_name = Key($this->cookies[$secure][$domain_pattern][$path]);
Index: /trunk/phpgwapi/inc/class.accounts.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.accounts.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.accounts.inc.php	(revision 7673)
@@ -436,5 +436,6 @@
 			$this->memberships = Array();
 
-			for ($idx=0; $idx<count($security_equals); ++$idx)
+            $security_equals_count = count($security_equals);
+			for ($idx=0; $idx<$security_equals_count; ++$idx)
 			{
 				$groups = (int)$security_equals[$idx];
@@ -463,5 +464,6 @@
 			}
 
-			for ($idx=0; $idx<count($security_equals); ++$idx)
+            $security_equals_count = count($security_equals);
+			for ($idx=0; $idx<$security_equals_count; ++$idx)
 			{
 				$name = $this->id2name((int)$security_equals[$idx]);
Index: /trunk/phpgwapi/inc/class.categories.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.categories.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.categories.inc.php	(revision 7673)
@@ -422,5 +422,6 @@
 			if($self)
 			{
-				for ($i=0;$i<count($cats);++$i)
+                $cats_count = count($cats);
+				for ($i=0;$i<$cats_count;++$i)
 				{
 					if ($cats[$i]['id'] == $self)
@@ -467,5 +468,6 @@
 				if ($this->total_records > 0)
 				{
-					for ($i=0;$i<count($cats);++$i)
+                    $cats_count = count($cats);
+					for ($i=0;$i<$cats_count;++$i)
 					{
 						$image_set = '&nbsp;';
@@ -576,5 +578,6 @@
 				$new_parent = $this->id2name($cat_id,'parent');
 
-				for ($i=0;$i<count($cats);++$i)
+                $cats_count = count($cats);
+				for ($i=0;$i<$cats_count;++$i)
 				{
 					if ($cats[$i]['level'] == 1)
Index: /trunk/phpgwapi/inc/class.soap_server.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.soap_server.inc.php	(revision 7673)
@@ -359,5 +359,6 @@
 						}
 						// validate each param's type
-						for($i=0; $i < count($p); ++$i)
+                        $p_count = count($p);
+						for($i=0; $i < $p_count; ++$i)
 						{
 							// type not match
Index: /trunk/phpgwapi/inc/fpdf/tutorial/tuto5.php
===================================================================
--- /trunk/phpgwapi/inc/fpdf/tutorial/tuto5.php	(revision 7655)
+++ /trunk/phpgwapi/inc/fpdf/tutorial/tuto5.php	(revision 7673)
@@ -38,5 +38,6 @@
 	$w=array(40,35,40,45);
 	//Header
-	for($i=0;$i<count($header);++$i)
+    $header_count = count($header);
+	for($i=0;$i<$header_count;++$i)
 		$this->Cell($w[$i],7,$header[$i],1,0,'C');
 	$this->Ln();
@@ -65,5 +66,6 @@
 	//Header
 	$w=array(40,35,40,45);
-	for($i=0;$i<count($header);++$i)
+    $header_count = count($header);
+	for($i=0;$i<$header_count;++$i)
 		$this->Cell($w[$i],7,$header[$i],1,0,'C',1);
 	$this->Ln();
Index: /trunk/phpgwapi/inc/fpdf/fpdf.php
===================================================================
--- /trunk/phpgwapi/inc/fpdf/fpdf.php	(revision 7655)
+++ /trunk/phpgwapi/inc/fpdf/fpdf.php	(revision 7673)
@@ -1283,5 +1283,6 @@
 		{
 			$trns='';
-			for($i=0;$i<count($info['trns']);++$i)
+            $info_trns_count = count($info['trns']);
+			for($i=0;$i<$info_trns_count;++$i)
 				$trns.=$info['trns'][$i].' '.$info['trns'][$i].' ';
 			$this->_out('/Mask ['.$trns.']');
Index: /trunk/phpgwapi/inc/class.accounts_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.accounts_ldap.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.accounts_ldap.inc.php	(revision 7673)
@@ -277,5 +277,6 @@
 					$members = $this->member($this->account_id);
 					$newData['memberuid'] = array();
-					for($i=0;$i<count($members);++$i)
+                    $members_count = count($members);
+					for($i=0;$i<$members_count;++$i)
 					{
 						$currname = $this->id2name($members[$i]['account_id']);
@@ -308,5 +309,6 @@
 					#_debug_array($members);
 					$newData['memberuid'] = array();
-					for($i=0;$i<count($members);++$i)
+                    $members_count = count($members);
+					for($i=0;$i<$members_count;++$i)
 					{
 						$currname = $this->id2name($members[$i]['account_id']);
Index: /trunk/phpgwapi/inc/csstidy/class.csstidy_optimise.php
===================================================================
--- /trunk/phpgwapi/inc/csstidy/class.csstidy_optimise.php	(revision 7655)
+++ /trunk/phpgwapi/inc/csstidy/class.csstidy_optimise.php	(revision 7673)
@@ -302,5 +302,6 @@
             $color_tmp = substr($color,4,strlen($color)-5);
             $color_tmp = explode(',',$color_tmp);
-            for ( $i = 0; $i < count($color_tmp); ++$i )
+            $color_tmp_count = count($color_tmp);
+            for ( $i = 0; $i < $color_tmp_count; ++$i )
             {
                 $color_tmp[$i] = trim ($color_tmp[$i]);
@@ -383,5 +384,6 @@
             $temp = array($subvalue);
         }
-        for ($l = 0; $l < count($temp);++$l)
+        $temp_count = count($temp);
+        for ($l = 0; $l < $temp_count;++$l)
         {
             // continue if no numeric value
@@ -665,5 +667,6 @@
 
         $str_value = csstidy_optimise::explode_ws(',',$str_value);
-        for($i = 0; $i < count($str_value); ++$i)
+        $str_value_count = count($str_value);
+        for($i = 0; $i < $str_value_count; ++$i)
         {
             $have['clip'] = FALSE; $have['pos'] = FALSE;
@@ -672,5 +675,6 @@
             $str_value[$i] = csstidy_optimise::explode_ws(' ',trim($str_value[$i]));
 
-            for($j = 0; $j < count($str_value[$i]); ++$j)
+            $str_value_count = count($str_value[$i]);
+            for($j = 0; $j < $str_value_count; ++$j)
             {
                 if($have['bg'] === FALSE && (substr($str_value[$i][$j],0,4) == 'url(' || $str_value[$i][$j] === 'none'))
Index: /trunk/phpgwapi/inc/csstidy/class.csstidy.php
===================================================================
--- /trunk/phpgwapi/inc/csstidy/class.csstidy.php	(revision 7655)
+++ /trunk/phpgwapi/inc/csstidy/class.csstidy.php	(revision 7673)
@@ -419,5 +419,6 @@
 	$template = explode('|',$content);
 
-	for ($i = 0; $i < count($template); ++$i )
+    $template_count = count($template);
+	for ($i = 0; $i < $template_count; ++$i )
 	{
 		$this->template[$i] = $template[$i];
Index: /trunk/phpgwapi/inc/class.phpmailer.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.phpmailer.inc.php	(revision 7673)
@@ -443,5 +443,6 @@
     function MailSend($header, $body) {
         $to = "";
-        for($i = 0; $i < count($this->to); ++$i)
+        $to_count = count($this->to);
+        for($i = 0; $i < $to_count; ++$i)
         {
             if($i != 0) { $to .= ", "; }
@@ -497,15 +498,18 @@
 
         // Attempt to send attach all recipients
-        for($i = 0; $i < count($this->to); ++$i)
+        $to_count = count($this->to);
+        for($i = 0; $i < $to_count; ++$i)
         {
             if(!$this->smtp->Recipient($this->to[$i][0]))
                 $bad_rcpt[] = $this->to[$i][0];
         }
-        for($i = 0; $i < count($this->cc); ++$i)
+        $cc_count = count($this->cc);
+        for($i = 0; $i < $cc_count; ++$i)
         {
             if(!$this->smtp->Recipient($this->cc[$i][0]))
                 $bad_rcpt[] = $this->cc[$i][0];
         }
-        for($i = 0; $i < count($this->bcc); ++$i)
+        $bcc_count = count($this->bcc);
+        for($i = 0; $i < $bcc_count; ++$i)
         {
             if(!$this->smtp->Recipient($this->bcc[$i][0]))
@@ -515,5 +519,6 @@
         if(count($bad_rcpt) > 0) // Create error message
         {
-            for($i = 0; $i < count($bad_rcpt); ++$i)
+            $bad_rcpt_count = count($bad_rcpt);
+            for($i = 0; $i < $bad_rcpt_count; ++$i)
             {
                 if($i != 0) { $error .= ", "; }
@@ -645,5 +650,6 @@
         if(count($addr) > 1)
         {
-            for($i = 1; $i < count($addr); ++$i)
+            $addr_count = count($addr);
+            for($i = 1; $i < $addr_count; ++$i)
                 $addr_str .= ", " . $this->AddrFormat($addr[$i]);
         }
@@ -686,9 +692,11 @@
         $line = explode($this->LE, $message);
         $message = "";
-        for ($i=0 ;$i < count($line); ++$i)
+        $line_count = count($line);
+        for ($i=0 ;$i < $line_count; ++$i)
         {
           $line_part = explode(" ", $line[$i]);
           $buf = "";
-          for ($e = 0; $e<count($line_part); ++$e)
+          $line_part_count = count($line_part);
+          for ($e = 0; $e<$line_part_count; ++$e)
           {
               $word = $line_part[$e];
@@ -830,5 +838,6 @@
 
         // Add custom headers
-        for($index = 0; $index < count($this->CustomHeader); ++$index)
+        $CustomHeader_count = count($this->CustomHeader);
+        for($index = 0; $index < $CustomHeader_count; ++$index)
         {
             $result .= $this->HeaderLine(trim($this->CustomHeader[$index][0]), 
@@ -1053,5 +1062,6 @@
 
         // Add all attachments
-        for($i = 0; $i < count($this->attachment); ++$i)
+        $attachment_count = count($this->attachment);
+        for($i = 0; $i < $attachment_count; ++$i)
         {
             // Check for string attachment
@@ -1326,5 +1336,6 @@
     function InlineImageExists() {
         $result = false;
-        for($i = 0; $i < count($this->attachment); ++$i)
+        $attachment_count = count($this->attachment);
+        for($i = 0; $i < $attachment_count; ++$i)
         {
             if($this->attachment[$i][6] == "inline")
Index: /trunk/phpgwapi/inc/class.common.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.common.inc.php	(revision 7655)
+++ /trunk/phpgwapi/inc/class.common.inc.php	(revision 7673)
@@ -435,5 +435,6 @@
 			$html_error = '<table border="0" width="100%"><tr><td align="right"><b>' . lang($text)
 				. '</b>: </td><td align="left">' . $errors[0] . '</td></tr>';
-			for ($i=1; $i<count($errors); ++$i)
+            $errors_count = count($errors);
+			for ($i=1; $i<$errors_count; ++$i)
 			{
 				$html_error .= '<tr><td>&nbsp;</td><td align="left">' . $errors[$i] . '</td></tr>';
Index: /trunk/reports/inc/class.fpdf.inc.php
===================================================================
--- /trunk/reports/inc/class.fpdf.inc.php	(revision 7655)
+++ /trunk/reports/inc/class.fpdf.inc.php	(revision 7673)
@@ -1589,5 +1589,6 @@
 		{
 			$trns='';
-			for($i=0;$i<count($info['trns']);++$i)
+            $info_trns_count = count($info['trns']);
+			for($i=0;$i<$info_trns_count;++$i)
 				$trns.=$info['trns'][$i].' '.$info['trns'][$i].' ';
 			$this->_out('/Mask ['.$trns.']');
Index: /trunk/reports/inc/class.uireports_fpdf.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_fpdf.inc.php	(revision 7655)
+++ /trunk/reports/inc/class.uireports_fpdf.inc.php	(revision 7673)
@@ -38,5 +38,6 @@
 		//Calculate the height of the row
 		$nb=0;
-		for($i=0;$i< count($data);++$i)
+        $data_count = count($data);
+		for($i=0;$i< $data_count;++$i)
 		$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
 		$h=5*$nb;
@@ -44,5 +45,6 @@
 		$this->CheckPageBreak($h);
 		//Draw the cells of the row
-		for($i=0;$i< count($data);++$i)
+        $data_count = count($data);
+		for($i=0;$i< $data_count;++$i)
 		{
 			$w=$this->widths[$i];
Index: /trunk/reports/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/reports/inc/class.ldap_functions.inc.php	(revision 7655)
+++ /trunk/reports/inc/class.ldap_functions.inc.php	(revision 7673)
@@ -136,5 +136,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -268,5 +269,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -366,5 +368,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
Index: /trunk/library/Mail/Mail/RFC822.php
===================================================================
--- /trunk/library/Mail/Mail/RFC822.php	(revision 7655)
+++ /trunk/library/Mail/Mail/RFC822.php	(revision 7673)
@@ -332,5 +332,6 @@
         $string = $parts[0];
 
-        for ($i = 0; $i < count($parts); ++$i) {
+        $parts_count = count($parts);
+        for ($i = 0; $i < $parts_count; ++$i) {
             if ($this->_hasUnclosedQuotes($string)
                 || $this->_hasUnclosedBrackets($string, '<>')
@@ -426,5 +427,6 @@
     {
         $parts = explode($char, $string);
-        for ($i = 0; $i < count($parts); ++$i){
+        $parts_count = count($parts);
+        for ($i = 0; $i < $parts_count; ++$i){
             if (substr($parts[$i], -1) == '\\' || $this->_hasUnclosedQuotes($parts[$i]))
                 $num--;
@@ -500,5 +502,6 @@
         //                         geezer
         // ... or any other format valid by RFC 822.
-        for ($i = 0; $i < count($addresses); ++$i) {
+        $addresses_count = count($addresses);
+        for ($i = 0; $i < $addresses_count; ++$i) {
             if (!$this->validateMailbox($addresses[$i])) {
                 if (empty($this->error)) {
Index: /trunk/library/Mail/Mail/smtpmx.php
===================================================================
--- /trunk/library/Mail/Mail/smtpmx.php	(revision 5146)
+++ /trunk/library/Mail/Mail/smtpmx.php	(revision 7673)
@@ -436,5 +436,6 @@
                 return false;
             }
-            for ($i = 0; $i < count($mxHost); ++$i) {
+            $mxHost_count = count($mxHost);
+            for ($i = 0; $i < $mxHost_count; ++$i) {
                 $mx[$mxHost[$i]] = $mxWeight[$i];
             }
Index: /trunk/library/csstidy/class.csstidy_optimise.php
===================================================================
--- /trunk/library/csstidy/class.csstidy_optimise.php	(revision 7655)
+++ /trunk/library/csstidy/class.csstidy_optimise.php	(revision 7673)
@@ -302,5 +302,6 @@
             $color_tmp = substr($color,4,strlen($color)-5);
             $color_tmp = explode(',',$color_tmp);
-            for ( $i = 0; $i < count($color_tmp); ++$i )
+            $color_tmp_count = count($color_tmp);
+            for ( $i = 0; $i < $color_tmp_count; ++$i )
             {
                 $color_tmp[$i] = trim ($color_tmp[$i]);
@@ -383,5 +384,6 @@
             $temp = array($subvalue);
         }
-        for ($l = 0; $l < count($temp); ++$l)
+        $temp_count = count($temp);
+        for ($l = 0; $l < $temp_count; ++$l)
         {
             // continue if no numeric value
@@ -665,5 +667,6 @@
 
         $str_value = csstidy_optimise::explode_ws(',',$str_value);
-        for($i = 0; $i < count($str_value); ++$i)
+        $str_value_count = count($str_value);
+        for($i = 0; $i < $str_value_count; ++$i)
         {
             $have['clip'] = FALSE; $have['pos'] = FALSE;
@@ -672,5 +675,6 @@
             $str_value[$i] = csstidy_optimise::explode_ws(' ',trim($str_value[$i]));
 
-            for($j = 0; $j < count($str_value[$i]); ++$j)
+            $str_value_count = count($str_value[$i]);
+            for($j = 0; $j < $str_value_count; ++$j)
             {
                 if($have['bg'] === FALSE && (substr($str_value[$i][$j],0,4) == 'url(' || $str_value[$i][$j] === 'none'))
Index: /trunk/library/csstidy/css_optimiser.php
===================================================================
--- /trunk/library/csstidy/css_optimiser.php	(revision 7655)
+++ /trunk/library/csstidy/css_optimiser.php	(revision 7673)
@@ -322,5 +322,6 @@
 			{
 				echo '<dt>'.$line.'</dt>';
-				for($i = 0; $i < count($array); ++$i)
+                $array_count = count($array);
+				for($i = 0; $i < $array_count; ++$i)
 				{
 					echo '<dd class="'.$array[$i]['t'].'">'.$array[$i]['m'].'</dd>';
Index: /trunk/library/csstidy/class.csstidy.php
===================================================================
--- /trunk/library/csstidy/class.csstidy.php	(revision 7655)
+++ /trunk/library/csstidy/class.csstidy.php	(revision 7673)
@@ -419,5 +419,6 @@
 	$template = explode('|',$content);
 
-	for ($i = 0; $i < count($template); ++$i )
+    $template_count = count($template);
+	for ($i = 0; $i < $template_count; ++$i )
 	{
 		$this->template[$i] = $template[$i];
